.logo-intro {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    background-color: black;
    transition: opacity 0.8s ease, transform 0.5s ease;
}

.logo-intro.hidden {
    opacity: 0;
    pointer-events: none;
}

.logo-container {
    max-width: 300px;
    animation: logoAnimation 2s ease-in-out forwards;
}

.logo-container img {
    width: 100%;
    height: auto;
}

@keyframes logoAnimation {
    0% {
        opacity: 0;
        transform: scale(0.5);
    }
    50% {
        opacity: 1;
        transform: scale(1.1);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}
#header-logo{
    height: calc(var(--spacing) * 14);
}